create_bbt
Prev | Chapter 11. Internal Functions Provided | Next

## Name

create_bbt — [GENERIC] Create a bad block table by scanning the device

## Synopsis

`int create_bbt (` | struct mtd_info * | mtd,
| uint8_t * | buf,
| struct nand_bbt_descr * | bd,
| int | chip`)`;

## Arguments

`mtd`

  MTD device structure

`buf`

  temporary buffer

`bd`

  descriptor for the good/bad block search pattern

`chip`

  create the table for a specific chip, -1 read all chips. Applies only if NAND_BBT_PERCHIP option is set

## Description

Create a bad block table by scanning the device for the given good/bad block identify pattern

Prev | Up | Next
read_abs_bbts | Home | search_bbt